# Seiso::ImportLdap

[![Gem Version](https://badge.fury.io/rb/seiso-import_ldap.svg)](http://badge.fury.io/rb/seiso-import_ldap)
[![Build Status](https://travis-ci.org/ExpediaDotCom/seiso-import_ldap.svg?branch=master)](https://travis-ci.org/ExpediaDotCom/seiso-import_ldap)
[![Inline docs](http://inch-ci.org/github/ExpediaDotCom/seiso-import_ldap.svg?branch=master)](http://inch-ci.org/github/ExpediaDotCom/seiso-import_ldap)

Imports person data, including contact info and org info, from an LDAP server into Seiso.

**Not yet ready for prime time. Currently imports all users as a single batch (no paging), doesn't link managers, and doesn't delete stale users. Will fix these shortly.**

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'seiso-import_ldap'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install seiso-import_ldap

## Usage

1. Create a directory `~/.seiso-importers`
2. Place appropriately modified copies of `seiso.yml.sample` and `ldap.yml.sample` in there.
3. Run `seiso-import-ldap` to perform the import.

## Contributing

1. Fork it ( https://github.com/ExpediaDotCom/seiso-import_ldap/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new pull request.
